var isSupportTouch = "ontouchend" in document ? true : false;

function postKeyCode(keyCode) {
    $.post("/key", {
        code: keyCode
    }, function (data) {
        console.log(data)
    })
}

function sendKeyCode(keyCode) {
    $.get("/key?keycode=" + keyCode, {
        code: keyCode
    }, function (data) {
        console.log(data)
    })
}

function deleteOneChar() {
    var text = $("#inputarea").val().toString()
    if (text.length > 0) {
        var newText = text.substring(0, text.length - 1)
        $("#inputarea").val(newText)
    }
}

function clearAll() {
    $("#inputarea").val('')
}

//delete one char
$("#btnDel").on("click", function () {
    sendKeyCode($(this).attr("data-key"))
    deleteOneChar()
})

$("#machineCodeCopy").on("click", function () {
    copyString(machineCode)
})

function copyString(str) {
    const el = document.createElement('textarea')
    el.value = str
    el.setAttribute('readonly', false)
    el.setAttribute('contenteditable', true)
    el.style.position = 'absolute'
    el.style.left = '-99999px'
    document.body.append(el)
    // 保存原有的选择区域
    const selected =
        document.getSelection().rangeCount > 0
            ? document.getSelection().getRangeAt(0)
            : false
    el.select()
    el.setSelectionRange(0, el.textLength) // iOS 中使用 select() 函数无效
    document.execCommand('copy')
    document.body.removeChild(el)
    if (selected) {
        document.getSelection().removeAllRanges()
        document.getSelection().addRange(selected)
    }
}

//clear all
$("#btnCls").on("click", function () {
    sendKeyCode($(this).attr("data-key"))
    clearAll()
})

$(".direction").on(isSupportTouch ? "touchstart" : "mousedown",
    function () {
        var o = $(this);
        $("#direction-btns").css({
            "background-position": o.attr("data-bp")
        }), sendKeyCode(o.attr("data-key"))
    })

$(".otherbtn").on(isSupportTouch ? "touchstart" : "mousedown",
    function () {
        var o = $(this);
        o.css({
            "background-position": o.attr("data-bp")
        }), sendKeyCode(o.attr("data-key"))
    })

$(".direction,.otherbtn").on(isSupportTouch ? "touchend touchmove" : "mouseup mousemove",
    function () {
        $("#direction-btns,.direction,.otherbtn").css({
            "background-position": ""
        })
    })

$("#confirm").on("click",
    function () {
        var $input = $("#inputarea"),
            text = $input.val();
        console.log('input : ' + text)

        if (text == "") return

        if (machineCode != null && machineCode != "") {
            $.get("/active", {
                code: text
            }, function (data) {
                console.log(data)
            })
        } else {
            $.get("/search", {
                key: text
            }, function (data) {
                console.log(data)
            })
        }
    })

var machineCode;

function isActive() {
    return machineCode != null && machineCode != ""
}

$(function () {
    var url = window.location.href;
    machineCode = new URL(url).searchParams.get("machineCode");
    if (isActive()) {
        $('.header-tab li:first').text("授权红影")
        $('.header-tab li:first').css("width", "100%")
        $('.header-tab li:last').css("display", "none")
        $("#inputarea").attr("placeholder", "请输入授权码")
        $("#confirm").text("授权")
        $("#machineCodeDiv").css("display", "block")
        $("#machineCodeSpan").text(machineCode)
    } else {
        $('.header-tab li:first').text("快捷搜索")
        $("#inputarea").attr("placeholder", "请输入想看的影视名字，然后点击搜索")
        $("#confirm").text("搜索")
    }

    $('.header-tab li').click(function () {
        if ($(this).hasClass("active")) return

        $('.header-tab li').removeClass("active");
        $(this).addClass("active");
        var pannel = $(this).data('tab');
        $('.panels > div').removeClass('active')
        $('#' + pannel).addClass('active');
    });
});